Package org.jfree.report.modules.factories.report.flow

# Class ExpressionReadHandler

java.lang.Object
org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
org.jfree.report.modules.factories.report.flow.AbstractExpressionReadHandler
org.jfree.report.modules.factories.report.flow.ExpressionReadHandler

All Implemented Interfaces:
  `org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`

public class ExpressionReadHandler extends AbstractExpressionReadHandler
Creation-Date: 09.04.2006, 13:40:08

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`ExpressionReadHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doneParsing()`
Done parsing.
`protected org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`
`getHandlerForChild(String uri, String tagName, Attributes atts)`
Returns the handler for a child element.

### Methods inherited from class org.jfree.report.modules.factories.report.flow.AbstractExpressionReadHandler

`getDefaultClassName, getExpression, getObject, startParsing`

### Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler

`characters, deriveParseParameters, endElement, getLocator, getRootHandler, getTagName, getUri, init, isSameNamespace, performExternalParsing, performExternalParsing, startElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpressionReadHandler

public ExpressionReadHandler()

## Method Details

### getHandlerForChild

protected org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler getHandlerForChild(String uri, String tagName, Attributes atts) throws SAXException
Returns the handler for a child element.

Overrides:
  `getHandlerForChild` in class `AbstractExpressionReadHandler`
Parameters:
  `tagName` - the tag name.
  `atts` - the attributes.
Returns:
  the handler or null, if the tagname is invalid.
Throws:
  `SAXException` - if there is a parsing error.

### doneParsing

protected void doneParsing() throws SAXException
Done parsing.

Overrides:
  `doneParsing` in class `org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler`
Throws:
  `SAXException` - if there is a parsing error.